package com.changhu.common.annotation;

import com.changhu.enums.ClientType;
import org.springframework.web.bind.annotation.RestController;

import java.lang.annotation.*;

/**
 * @author 20252
 * @createTime 2024/9/4 下午4:01
 * @desc CheckClientType...
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@RestController
public @interface CheckClientType {

    /**
     * 是否需要校验客户端类型
     */
    boolean value() default true;

    /**
     * 需要的客户端类型
     */
    ClientType clientType() default ClientType.NONE;
}
