package com.changhu.module.management.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.common.annotation.JsonBody;
import com.changhu.common.exception.MessageException;
import com.changhu.module.management.pojo.params.EnterprisesUnitSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.EnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.EnterprisesUnitPagerVo;
import com.changhu.module.management.service.EnterprisesUnitService;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author 20252
 * @createTime 2024/9/3 上午10:17
 * @desc EnterprisesUnitController...
 */
@Tag(name = "企事业单位")
@JsonBody
@RequestMapping("/enterprisesUnit")
public class EnterprisesUnitController {

    @Autowired
    private EnterprisesUnitService enterprisesUnitService;

    @Operation(summary = "分页查询")
    @PostMapping("/pager")
    public Page<EnterprisesUnitPagerVo> pager(@RequestBody @Valid PageParams<EnterprisesUnitPagerQueryParams, EnterprisesUnitPagerVo> queryParams) {
        return enterprisesUnitService.pager(queryParams);
    }

    @Operation(summary = "新增或保存")
    @PostMapping("/saveOrUpdate")
    public void saveOrUpdate(@RequestBody @Valid EnterprisesUnitSaveOrUpdateParams params) {
        enterprisesUnitService.saveOrUpdate(params);
    }

    @Operation(summary = "根据id删除")
    @DeleteMapping("/deleteById")
    public void deleteById(@RequestBody Long enterprisesUnitId) {
        boolean b = enterprisesUnitService.removeById(enterprisesUnitId);
        if (!b) {
            throw new MessageException();
        }
    }

}
