package com.changhu.module.management.controller;

import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.params.IndexCheckPassParams;
import com.changhu.module.management.pojo.params.IndexCheckStatusParams;
import com.changhu.module.management.pojo.params.IndexDisableOrEnableParams;
import com.changhu.module.management.pojo.vo.UnitCheckStatusVo;
import com.changhu.module.management.service.IndexService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author 20252
 * @createTime 2024/9/2 上午9:48
 * @desc IndexController...
 */
@Tag(name = "后台-通用接口")
@JsonBody
@RequestMapping("/management")
public class IndexController {

    @Autowired
    private IndexService indexService;

    @Operation(summary = "审核通过")
    @PostMapping("/checkPass")
    public void checkPass(@RequestBody @Valid IndexCheckPassParams params) {
        indexService.checkPass(params);
    }

    @Operation(summary = "获取审核状态")
    @PostMapping("/getCheckStatus")
    public UnitCheckStatusVo getCheckStatus(@RequestBody @Valid IndexCheckStatusParams params) {
        return indexService.getCheckStatus(params);
    }

    @Operation(summary = "启用或禁用状态")
    @PostMapping("/disableOrEnable")
    public void disableOrEnable(@RequestBody @Valid IndexDisableOrEnableParams params) {
        indexService.disableOrEnable(params);
    }
}
