package com.changhu.module.management.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.common.annotation.CheckClientType;
import com.changhu.common.annotation.JsonBody;
import com.changhu.enums.ClientType;
import com.changhu.module.management.pojo.params.ManagementPoliceUserSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.ManagementPoliceUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementPoliceUnitUserPagerVo;
import com.changhu.module.management.service.ManagementPoliceUnitUserService;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author 20252
 * @createTime 2024/9/3 上午10:21
 * @desc ManagementPoliceUnitUserController...
 */
@Tag(name = "后台-公安用户")
@JsonBody
@CheckClientType(clientType = ClientType.MANAGEMENT_POLICE)
@RequestMapping("/managementPoliceUnitUser")
public class ManagementPoliceUnitUserController {

    @Autowired
    private ManagementPoliceUnitUserService managementPoliceUnitUserService;

    @Operation(summary = "新增或保存")
    @PostMapping("/saveOrUpdate")
    public void saveOrUpdate(@RequestBody @Valid ManagementPoliceUserSaveOrUpdateParams params) {
        managementPoliceUnitUserService.saveOrUpdate(params);
    }

    @Operation(summary = "分页查询")
    @PostMapping("/pager")
    public Page<ManagementPoliceUnitUserPagerVo> pager(@RequestBody PageParams<ManagementPoliceUnitUserPagerQueryParams, ManagementPoliceUnitUserPagerVo> queryParams) {
        return managementPoliceUnitUserService.pager(queryParams);
    }

    @Operation(summary = "根据id删除")
    @PostMapping("/deleteById")
    public void deleteById(@RequestParam @Schema(description = "后台公安用户id") Long managementPoliceUnitUserId) {
        managementPoliceUnitUserService.deleteById(managementPoliceUnitUserId);
    }

}
