package com.changhu.module.management.controller;

import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.params.ManagementSuperUserSaveOrUpdateParams;
import com.changhu.module.management.service.ManagementSuperUserService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.validation.Valid;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author 20252
 * @createTime 2024/8/28 下午5:12
 * @desc 超级后台用户控制器
 */
@Tag(name = "后台用户-超级后台")
@JsonBody
@RequestMapping("/managementSuperUser")
public class ManagementSuperUserController {

    @Autowired
    private ManagementSuperUserService managementSuperUserService;

    @Operation(summary = "新增或保存")
    @PostMapping("/saveOrUpdate")
    public void saveOrUpdate(@RequestBody @Valid ManagementSuperUserSaveOrUpdateParams params) {
        managementSuperUserService.saveOrUpdate(params);
    }
}
