package com.changhu.module.management.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.changhu.common.annotation.JsonBody;
import com.changhu.module.management.pojo.queryParams.PoliceUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.PoliceUnitPagerVo;
import com.changhu.module.management.service.PoliceUnitService;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author 20252
 * @createTime 2024/8/30 下午3:45
 * @desc PoliceUnitController...
 */
@Tag(name = "单位-公安")
@JsonBody
@RequestMapping("/policeUnit")
public class PoliceUnitController {

    @Autowired
    private PoliceUnitService policeUnitService;

    @Operation(summary = "分页查询")
    @PostMapping("/pager")
    public Page<PoliceUnitPagerVo> pager(@RequestBody PageParams<PoliceUnitPagerQueryParams, PoliceUnitPagerVo> queryParams) {
        return policeUnitService.pager(queryParams);
    }

}
