package com.changhu.module.management.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.changhu.common.exception.MessageException;
import com.changhu.module.management.mapper.EnterprisesUnitMapper;
import com.changhu.module.management.pojo.entity.EnterprisesUnit;
import com.changhu.module.management.pojo.params.EnterprisesUnitSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.EnterprisesUnitPagerQueryParams;
import com.changhu.module.management.pojo.vo.EnterprisesUnitPagerVo;
import com.changhu.module.management.service.EnterprisesUnitService;
import com.changhu.support.mybatisplus.pojo.params.PageParams;
import org.springframework.stereotype.Service;

import java.util.Optional;

/**
 * enterprises_unit (企事业单位)  服务实现类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
@Service
public class EnterprisesUnitServiceImpl extends ServiceImpl<EnterprisesUnitMapper, EnterprisesUnit> implements EnterprisesUnitService {

    @Override
    public Page<EnterprisesUnitPagerVo> pager(PageParams<EnterprisesUnitPagerQueryParams, EnterprisesUnitPagerVo> queryParams) {
        return baseMapper.pager(queryParams.getPage(), queryParams.getParams());
    }

    @Override
    public void saveOrUpdate(EnterprisesUnitSaveOrUpdateParams params) {
        EnterprisesUnit enterprisesUnit = BeanUtil.copyProperties(params, EnterprisesUnit.class);
        Optional.ofNullable(params.getAdministrativeDivisionCodes())
                .ifPresent(codes -> {
                    if (!codes.isEmpty()) {
                        enterprisesUnit.setProvince(codes.get(0));
                    }
                    if (codes.size() >= 2) {
                        enterprisesUnit.setCity(codes.get(1));
                    }
                    if (codes.size() >= 3) {
                        enterprisesUnit.setDistricts(codes.get(2));
                    }
                    if (codes.size() >= 4) {
                        enterprisesUnit.setStreet(codes.get(3));
                    }
                });
        boolean b = this.saveOrUpdate(enterprisesUnit);
        if (!b) {
            throw new MessageException();
        }
    }
}
