package com.changhu.support.mybatisplus.handler.permission.management;

import com.changhu.common.utils.UserUtil;
import com.changhu.support.mybatisplus.handler.permission.AbstractDataPermissionHandler;
import net.sf.jsqlparser.expression.Expression;
import net.sf.jsqlparser.expression.LongValue;
import net.sf.jsqlparser.expression.operators.relational.EqualsTo;
import net.sf.jsqlparser.schema.Column;
import net.sf.jsqlparser.schema.Table;

/**
 * @author 20252
 * @createTime 2024/9/4 下午3:29
 * @desc ManagementPoliceUnitUserPagerPermissionHandler...
 */
public class ManagementPoliceUnitUserPagerPermissionHandler implements AbstractDataPermissionHandler {
    @Override
    public Expression apply(Table table, Expression where, String mappedStatementId) {
        if ("mpuu".equals(table.getAlias().getName())) {
            return sqlFragment();
        }
        return null;
    }

    @Override
    public Expression sqlFragment() {
        return new EqualsTo(new Column("mpuu.police_unit_id"), new LongValue(UserUtil.getUnitId()));
    }
}
