package com.changhu.support.mybatisplus.handler.permission.management;

import com.changhu.common.utils.UserUtil;
import com.changhu.support.mybatisplus.handler.permission.AbstractDataPermissionHandler;
import net.sf.jsqlparser.expression.Expression;
import net.sf.jsqlparser.expression.LongValue;
import net.sf.jsqlparser.expression.operators.relational.EqualsTo;
import net.sf.jsqlparser.schema.Column;
import net.sf.jsqlparser.schema.Table;

/**
 * @author 20252
 * @createTime 2024/9/3 上午11:11
 * @desc 后台安保人员分页权限
 */
public class ManagementSecurityUnitUserPagerPermissionHandler implements AbstractDataPermissionHandler {
    @Override
    public Expression apply(Table table, Expression where, String mappedStatementId) {
        if ("msuu".equals(table.getAlias().getName())) {
            return sqlFragment();
        }
        return null;
    }

    @Override
    public Expression sqlFragment() {
        return new EqualsTo(new Column("msuu.security_unit_id"), new LongValue(UserUtil.getUnitId()));
    }
}
